=== debian/changelog ===
pass-tomb (1.1-4) unstable; urgency=medium

  * Remove build depends because the testsuite was already deactivated
    (Closes: #916885).

 -- David Kunz <david.kunz@dknet.ch>  Fri, 11 Jan 2019 13:27:49 +0100

pass-tomb (1.1-3) unstable; urgency=medium

  * Updating year in copyright for 2019.
  * Updating to standards version 4.3.0.
  * Updating to debhelper 12.
  * Change email address
  * Change from debhelper to debhelper-compat

 -- David Kunz <david.kunz@dknet.ch>  Fri, 04 Jan 2019 10:15:54 +0100

pass-tomb (1.1-2) unstable; urgency=medium

  * Change Vcs-Git in control.
  * Add Rules-Requires-Root.
  * Add Enhances.

 -- David Kunz <david.kunz@dknet.ch>  Mon, 10 Sep 2018 13:26:10 +0200

pass-tomb (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #907633).

 -- David Kunz <david.kunz@dknet.ch>  Thu, 30 Aug 2018 13:27:30 +0200
