=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_test:
	# disabled
