=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pass-tomb-$1\.tar\.gz/ \
  https://github.com/roddhjav/pass-tomb/tags .*/v?(\d\S+)\.tar\.gz
